<?php
/**
 * @file
 * commerce_saleprice.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function commerce_saleprice_default_rules_configuration() {
  $items = array();
  $items['rules_sale_price'] = entity_import('rules_config', '{ "rules_sale_price" : {
      "LABEL" : "Sale price",
      "PLUGIN" : "reaction rule",
      "REQUIRES" : [ "rules", "commerce_line_item", "commerce_product_reference" ],
      "ON" : [ "commerce_product_calculate_sell_price" ],
      "IF" : [
        { "entity_has_field" : { "entity" : [ "commerce-line-item" ], "field" : "commerce_product" } },
        { "entity_has_field" : {
            "entity" : [ "commerce-line-item:commerce-product" ],
            "field" : "field_product_on_sale"
          }
        },
        { "entity_has_field" : {
            "entity" : [ "commerce-line-item:commerce-product" ],
            "field" : "field_product_sale_price"
          }
        },
        { "NOT data_is_empty" : { "data" : [ "commerce-line-item:commerce-product:field-product-sale-price:amount" ] } },
        { "data_is" : {
            "data" : [ "commerce-line-item:commerce-product:field-product-on-sale" ],
            "value" : 1
          }
        }
      ],
      "DO" : [
        { "commerce_line_item_unit_price_amount" : {
            "commerce_line_item" : [ "commerce_line_item" ],
            "amount" : [ "commerce-line-item:commerce-product:field-product-sale-price:amount" ],
            "component_name" : "discount",
            "round_mode" : "1"
          }
        }
      ]
    }
  }');
  return $items;
}
